CREATE TABLE "OTHQ_OWN"."SRC_RO_NEXT_PREVIEW_TB" 
(
    N_KEY                             VARCHAR2(32 BYTE),
    SERVICE_ENVIRONMENT               VARCHAR2(32 BYTE),
    SOURCE_ACCOUNT                    VARCHAR2(32 BYTE),
    TARGET_ACCOUNT                    VARCHAR2(32 BYTE),
    WORK_FLOW_ID                      VARCHAR2(64 BYTE),
    SOURCE_PDB                        NUMBER,
    TARGET_PDB                        NUMBER,
    STATUS                            VARCHAR2(32 BYTE),
    VERSION                           VARCHAR2(32 BYTE),
    HARDWARE_TYPE                     VARCHAR2(16 BYTE),
    EMAIL                             VARCHAR2(128 BYTE),
    SNAP_SHOT_DATE                    DATE,
    CREATED_DATE                      DATE,
    MODIFIED_DATE                     DATE,
    INSTANCE_SIZE                     NUMBER,
    CLEAN_UP_DB_ON_FAILURE            VARCHAR2(64 BYTE),
    SOURCE_DC_ID                      VARCHAR2(32 BYTE),
    MOVED_TO_ATP                      VARCHAR2(32 BYTE),
    REFRESH_MODE                      VARCHAR2(32 BYTE),
    DB_CLONE_WORKFLOW_ID              VARCHAR2(64 BYTE),
    DB_CLONE_TOTAL_TIME               NUMBER,
    ACCOUNT_CLONE_WORKFLOW_ID         VARCHAR2(64 BYTE),
    ACCOUNT_CLONE_TOTALTIME           NUMBER,
    LAST_ACTOR                        VARCHAR2(256 BYTE),
    METADATA_DOWNLOADED_TIMESTAMP_UTC DATE,
    METADATA_ENDPOINT                 VARCHAR2(256 BYTE),
    METADATA_REGION                   VARCHAR2(8 BYTE),
    TARGET_UNIQUE_CDB                 VARCHAR2(32 BYTE),
    TARGET_DC_ID                      VARCHAR2(32 BYTE),
    LOG_INTERVENTION_COUNT            NUMBER,
    TOTAL_REFRESH_TIME                NUMBER,
    
    -- Add Composite Primary Key
    CONSTRAINT PK_SRC_RO_NEXT_PREVIEW_TB PRIMARY KEY (N_KEY, METADATA_REGION)
);